/*
 * DataFileIOException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * データファイル読み書き時のIOエラーにより発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class DataFileIOException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -630706030668772780L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public DataFileIOException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public DataFileIOException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public DataFileIOException(String msg, Exception cause) {
		super(msg, cause);
	}
}
